package com.benyun.core.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.benyun.core.dao.WdInfoDao;
import com.benyun.core.entity.WdInfo;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.time.LocalDateTime;
import java.time.ZoneId;
import java.util.Arrays;
import java.util.List;

@SpringBootTest
public class AnalyseWdServiceImplTest {
    @Autowired
    AnalyseWdService analyseWdService;

    @Autowired
    WdInfoDao wdInfoDao;

    @Test
    public void analys(){
        ZoneId zone = ZoneId.of("Asia/Shanghai");
        LocalDateTime now = LocalDateTime.now(zone);  //分析时间

        System.out.println("start:");

        //测试需要
        QueryWrapper<WdInfo> queryWrapper1 = new QueryWrapper<>();
        queryWrapper1.in("wd_type_code", Arrays.asList("1","2","3"));

        List<WdInfo> wdInfos1 = wdInfoDao.selectList(queryWrapper1);
        int index = 1;
        System.out.println(wdInfos1.size());
        //1.遍历所有网点
        for (WdInfo wdInfo : wdInfos1) {
            analyseWdService.analyse(wdInfo,now,wdInfos1.size(),index++);
        }
    }
}
